{
  kind: 'pipeline',
  type: 'digitalocean',
  name: 'default',
  token: {
    from_secret: 'digitalocean_pat',
  },
  platform: {
    arch: 'amd64',
  },
  server: {
    image: 'docker-20-04',
    size: 's-1vcpu-1gb',
    region: 'fra1',
  },
  steps:
    [
      //      {
      //        name: 'Hello bash!',
      //        image: 'bash:latest',
      //        commands: [
      //          'sleep 10',
      //          'echo Hello from DigitalOcean VM',
      //        ],
      //      },
      {
        name: 'Hello Rust!',
        image: 'rust:1.65-alpine',
        commands: [
          'cargo check',
          'cargo build',
          'cargo run',
        ],
      },
    ],
}
